# HG changeset patch
# User Vittorio Giovara <vittorio.giovara@gmail.com>
# Date 1541608454 18000
#      Wed Nov 07 11:34:14 2018 -0500
# Node ID 03dd304c16c5ae718df1bf73d4518cfe7104ad24
# Parent  fd517ae68f93dbfdd1bff45a9dd8e626523542b6
encoder: Do not include CLL SEI message if empty

Some devices render out-of-luminance pixels incorrectly otherwise.

diff -r fd517ae68f93 -r 03dd304c16c5 source/encoder/encoder.cpp
--- a/source/encoder/encoder.cpp	Tue Sep 25 16:02:31 2018 +0530
+++ b/source/encoder/encoder.cpp	Wed Nov 07 11:34:14 2018 -0500
@@ -2381,10 +2381,13 @@
 
     if (m_param->bEmitHDRSEI)
     {
-        SEIContentLightLevel cllsei;
-        cllsei.max_content_light_level = m_param->maxCLL;
-        cllsei.max_pic_average_light_level = m_param->maxFALL;
-        cllsei.writeSEImessages(bs, m_sps, NAL_UNIT_PREFIX_SEI, list, m_param->bSingleSeiNal);
+        if (m_emitCLLSEI)
+        {
+            SEIContentLightLevel cllsei;
+            cllsei.max_content_light_level = m_param->maxCLL;
+            cllsei.max_pic_average_light_level = m_param->maxFALL;
+            cllsei.writeSEImessages(bs, m_sps, NAL_UNIT_PREFIX_SEI, list, m_param->bSingleSeiNal);
+        }
 
         if (m_param->masteringDisplayColorVolume)
         {
